%define	major 1
%define libname	%mklibname uriparser %{major}
%define develname %mklibname -d uriparser

Summary:	URI parsing library - RFC 3986
Name:		uriparser
Version:	0.7.5
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://%{name}.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		uriparser-0.7.5-doc_Makefile_in.patch
BuildRequires:	cpptest-devel
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Uriparser is a strictly RFC 3986 compliant URI parsing library written in C.
uriparser is cross-platform, fast, supports Unicode and is licensed under the
New BSD license.

%package -n	%{libname}
Summary:	URI parsing library - RFC 3986
Group:          System/Libraries

%description -n	%{libname}
Uriparser is a strictly RFC 3986 compliant URI parsing library written in C.
uriparser is cross-platform, fast, supports Unicode and is licensed under the
New BSD license.

%package -n	%{develname}
Summary:	Development files for the uriparser library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} >= %{version}

%description -n	%{develname}
This package contains libraries and header files for developing applications
that use uriparser.

%prep

%setup -q
%patch0 -p1 -b .doc_Makefile_in
sed -i 's/\r//' THANKS
sed -i 's/\r//' COPYING
iconv -f iso-8859-1 -t utf-8 -o THANKS{.utf8,}
mv THANKS{.utf8,}

%build
autoreconf -fi
%configure2_5x \
 --disable-static
pushd doc
    autoreconf -fi
    # Remove qhelpgenerator dependency, by commenting these lines in
    # Doxygen.in
    ## .qch output
    ## QCH_FILE = "../uriparser-doc-0.7.5.qch"
    ## QHG_LOCATION = "qhelpgenerator"
    sed -i 's/^# .qch output.*//' Doxyfile.in
    sed -i 's/^QCH.*//' Doxyfile.in
    sed -i 's/^QHG.*//' Doxyfile.in
    %configure2_5x
    %make
popd

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std INSTALL="install -p"

find %{buildroot} -name '*.la' -exec rm -f {} ';'
rm -rf %{buildroot}%{_docdir}/uriparser-doc

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%doc THANKS AUTHORS COPYING ChangeLog
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc



%changelog
* Thu Dec 23 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.5-1mdv2011.0
+ Revision: 624123
- import uriparser


* Thu Dec 23 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.5-0mdv2010.2
- initial Mandriva package (fedora import)

* Tue Sep 07 2010 Rakesh Pandit <rakesh@fedoraproject.org> 0.7.5-3
- Fixed FTBFS

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 06 2009 Rakesh Pandit <rakesh@fedoraproject.org> 0.7.5-1
- Upgrade to 0.7.5:
-  Improved docs
-  Test suite
- 0.7.4
-  Cleaned up code and fixed memory leaks
- 0.7.3
-  Builds for Cygwin, minor bug fix
-  Changes in build system.
-  Added: Qt Assistant documentation output
- 0.7.2
-  Improved and cleaned API 

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Sep 06 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.7.1-6
- changed document file handling in spec, used better method - %%doc

* Fri Sep 05 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.7.1-5
- fixed group, removed redundant args for %%setup
- included ChangeLog, fixed html folder path in %%files
- fixed automated autotool calls

* Sat Aug 23 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.7.1-4
- changed name according to naming guidelines

* Sat Aug 23 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.7.1-3
- fixed buildrequires tag

* Sun Aug 10 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.7.1-2
- added documentation

* Sat Aug 9 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.7.1-1
- Initial build
